io.etcd.jetcd.options

## Class GetOption

- java.lang.Object
- - io.etcd.jetcd.options.GetOption

    public final class GetOption
    extends Object

The option for get operation.

### Nested Class Summary

Nested Classes
`static class` `GetOption.Builder`
`static class` `GetOption.SortOrder`
`static class` `GetOption.SortTarget`

### Field Summary

Fields
`static GetOption` `DEFAULT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Optional<ByteSequence>` `getEndKey()`
`long` `getLimit()` Get the maximum number of keys to return for a get request.
`long` `getMaxCreateRevision()`
`long` `getMaxModRevision()`
`long` `getMinCreateRevision()`
`long` `getMinModRevision()`
`long` `getRevision()`
`GetOption.SortTarget` `getSortField()`
`GetOption.SortOrder` `getSortOrder()`
`boolean` `isCountOnly()`
`boolean` `isKeysOnly()`
`boolean` `isSerializable()`
`static GetOption.Builder` `newBuilder()` Create a builder to construct option for get operation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final GetOption DEFAULT

### Method Detail

#### newBuilder

    public static GetOption.Builder newBuilder()

Create a builder to construct option for get operation.

Returns:
  builder

#### getLimit

    public long getLimit()

Get the maximum number of keys to return for a get request.

Returns:
  the maximum number of keys to return.

#### getEndKey

    public Optional<ByteSequence> getEndKey()

#### getRevision

    public long getRevision()

#### getSortOrder

    public GetOption.SortOrder getSortOrder()

#### getSortField

    public GetOption.SortTarget getSortField()

#### isSerializable

    public boolean isSerializable()

#### isKeysOnly

    public boolean isKeysOnly()

#### isCountOnly

    public boolean isCountOnly()

#### getMinCreateRevision

    public long getMinCreateRevision()

#### getMaxCreateRevision

    public long getMaxCreateRevision()

#### getMinModRevision

    public long getMinModRevision()

#### getMaxModRevision

    public long getMaxModRevision()